Package org.apache.tapestry5.internal.services

## Class MetaDataLocatorImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.MetaDataLocatorImpl

- All Implemented Interfaces:
    `MetaDataLocator`

      public class MetaDataLocatorImpl
      extends java.lang.Object
      implements MetaDataLocator

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MetaDataLocatorImpl​(SymbolSource symbolSource, TypeCoercer typeCoercer, ComponentModelSource modelSource, java.util.Map<java.lang.String,​java.lang.String> configuration)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> T` | `findMeta​(java.lang.String key, java.lang.String pageName, java.lang.Class<T> expectedType)` | Searches for the value for the corresponding key for a particular page name (the page will not be loaded).
    `<T> T` | `findMeta​(java.lang.String key, ComponentResources resources, java.lang.Class<T> expectedType)` | Searches for the value for the corresponding key.
    `void` | `setupInvalidation​(InvalidationEventHub invalidationEventHub)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetaDataLocatorImpl

          public MetaDataLocatorImpl​(SymbolSource symbolSource,
                                     TypeCoercer typeCoercer,
                                     ComponentModelSource modelSource,
                                     java.util.Map<java.lang.String,​java.lang.String> configuration)

  - ### Method Detail

    - #### setupInvalidation

          @PostInjection
          public void setupInvalidation​(@ComponentClasses
                                        InvalidationEventHub invalidationEventHub)

    - #### findMeta

          public <T> T findMeta​(java.lang.String key,
                                ComponentResources resources,
                                java.lang.Class<T> expectedType)

      Description copied from interface: `MetaDataLocator`
      Searches for the value for the corresponding key. The value, if located, will have symbols expanded, and will be type coerced to the desired type.
      Specified by:
        `findMeta` in interface `MetaDataLocator`
      Parameters:
        `key` - the key used to locate the meta data (case insensitive)
        `resources` - the resources of the initial component used in the search
      Returns:
        the value if found (in the component, the component's container, etc. or via a folder default)

    - #### findMeta

          public <T> T findMeta​(java.lang.String key,
                                java.lang.String pageName,
                                java.lang.Class<T> expectedType)

      Description copied from interface: `MetaDataLocator`
      Searches for the value for the corresponding key for a particular page name (the page will not be loaded). The value, if located, will have symbols expanded, and will be type coerced to the desired type.
      Specified by:
        `findMeta` in interface `MetaDataLocator`
      Parameters:
        `key` - the key used to locate the meta data (case insensitive)
        `pageName` - the name of the page to search
      Returns:
        the value if found